Subject: Re: ISSUE: Moderators SHOULD retain existing message-id

From: Harald Tveit Alvestrand <[email-masked]>
Date: Wed, 21 Mar 2007 11:07:26 +0100

Recorded as issue #1479.

Which section of USEPRO do you believe it pertains to?

--On 14. februar 2007 14:26 +0000 Charles Lindsey <[email-masked]> 
wrote:

>
> Issue # requested.
>
> We discussed this earlier, and I had assumed Frank was going to raise it
> (maybe he assumes I was). It still needs resolving.
>
> The issue is whether this needs normative wording, or whether it is merely
> a USEAGE matter.
>
> The argument for normative wording is that in various situations confusion
> can be caused if the Message-ID in the published article is not that
> chosen by the poster. Various such situations have been mentioned, but
> here are the two main examples:
>
> 1. The same message might be both posted and mailed (maybe to some mailing
> list). If it is essentially the same messqage in either medium, then it
> ought to have the same Message-ID [1].
>
> 2. Some posters keep a record of the Message-IDs of the articles they
> post, so that their User Agents can flag any replies to them.
>
> There are doubltess other weird and unpredictable circumstances which
> could casue similar problems. OTOH, situations where it is _necessary_ for
> the moderator to change a Message-ID are much fewer (e.g. he has
> substantially altered the article before posting it, or he is aware it has
> already been multi-posted to other non-moderated groups). A "SHOULD" still
> gives him leeway to change it in such cases.
>
> [1] This is separate from the related issue where that mailing list is
> itself gated into Usenet; this situation is already well covered in our
> Gayewaying section.
>
> --
> Charles H. Lindsey ---------At Home, doing my own
> thing------------------------ Tel: +44 161 436 6131 Fax: +44 161 436 6133
> Web: http://www.cs.man.ac.uk/~chl Email: [email-masked]      Snail:
> 5 Clerewood Ave, CHEADLE, SK8 3JU, U.K. PGP: 2C15F1A9      Fingerprint:
> 73 6D C2 51 93 A0 01 E7 65 E8 64 7E 14 A4 AB A5
>
>
>

---

From: "Charles Lindsey" <[email-masked]>
Date: Wed, 21 Mar 2007 14:44:06 GMT

>Which section of USEPRO do you believe it pertains to?

3.8.  Duties of a Moderator

   4.  Moderators are encouraged to retain the Message-ID header field
       if it is valid, and also retain the Date header field unless it
       appears to be stale (72 hours or more in the past) for reasons
       understood by the moderator (such as delays in the moderation
       process) in which case they MAY substitute the current date.  Any
       Injection-Date, Injection-Info, or Xref header fields already
       present (though there should be none) MUST be removed.

I want s/are encouraged to/SHOULD/.

And I am also dubious about that explicit mention of 72 hours - leave it
to the moderator, or else let him insert an Injection-Date (though that is
maybe for the Injection-Date thread)..

-- 
Charles H. Lindsey ---------At Home, doing my own thing------------------------
Tel: +44 161 436 6131 Fax: +44 161 436 6133   Web: http://www.cs.man.ac.uk/~chl
Email: [email-masked]      Snail: 5 Clerewood Ave, CHEADLE, SK8 3JU, U.K.
PGP: 2C15F1A9      Fingerprint: 73 6D C2 51 93 A0 01 E7 65 E8 64 7E 14 A4 AB A5